API to fetch the total number of products, included in the store, and excluded from the store and other stats
http
GET https://services.leadconnectorhq.com/products/store/{storeId}/statsAuthorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Path parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
storeId | string | Yes | 3SwdhCu3svxI8AKsPJt6 | Products related to the store |
Query parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
altId | string | Yes | 6578278e879ad2646715ba9c | Account Id or Agency Id |
altType | string | Yes | ||
search | string | No | Awesome product | The name of the product for searching. |
collectionIds | string | No | 65c2789a812e52f9bd6ec577,65c2789a812e52de9a6ec576 | Filter by product collection Ids. Supports comma separated values |
Responses
200 - Successful response
totalProducts(number, required): Total number of products Example:100includedInStore(number, required): Number of products included in the store Example:80excludedFromStore(number, required): Number of products excluded from the store Example:20
json
{
"totalProducts": 100,
"includedInStore": 80,
"excludedFromStore": 20
}400 - Bad Request
json
{}422 - Unprocessable Entity
json
{}Example
curl -X GET 'https://services.leadconnectorhq.com/products/store/YOUR_storeId/stats' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'const response = await fetch('https://services.leadconnectorhq.com/products/store/YOUR_storeId/stats', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/products/store/YOUR_storeId/stats',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/products/store/YOUR_storeId/stats');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);